<nav class="navbar navbar-dark bg-dark">
  <div class="container" style="padding:20px; padding-left:30px;">
    <div class="col-md-2" >
      <h5 class="text-white h4">myBank</h5>
      <span class="text-muted">La banque des gagnants</span>
    </div>
    <button
      class="navbar-toggler"
      type="button"
      (click)="externalContent.toggle()"
      aria-controls="navbarToggleExternalContent"
      aria-expanded="false"
      aria-label="Toggle navigation"
    >
      <i class="fas fa-bars"></i>
    </button>
  </div>
</nav>
<div
  class="collapse"
  id="navbarToggleExternalContent"
  mdbCollapse
  #externalContent="mdbCollapse"
>
  <div class="bg-dark border-top border-5 border-warning p3" >
    <div class="container">
      <div class="row d-flex flex-row justify-content-between" >
          <!-- Left links -->

          <div class="col d-flex flex-row align-items-center">
            <!-- [routerLinkActiveOptions]="{exact:true}" pour s'assurer que c'est cet url exactement et pas un autre
            (sinon marche pas avec routerLink="/" ) -->
            <a routerLinkActive="active"
               routerLink="/"
               [routerLinkActiveOptions]="{exact:true}"
               class="nav-link text-light"
               aria-current="page"
               (click)="onRedirect('home')">Accueil</a>
            <a routerLinkActive="active"
               routerLink="transfer"
               class="nav-link text-light"
               (click)="onRedirect('transfer')">Effectuer un virement</a>
          </div>

          <!-- Left links -->
          <!-- Right links -->
          <div class="col d-flex flex-row-reverse align-items-center">
            <a routerLinkActive="active"
               routerLink="signIn"
               class="nav-link text-light"
               (click)="signIn()"
               *ngIf="!isAuth">Connection</a>
            <a routerLinkActive="active"
               routerLink="signUp"
               class="nav-link text-light"
               (click)="signUp()"
               *ngIf="!isAuth">Créer un compte</a>
            <a class="nav-link text-light"
               (click)="onSignOut()"
               *ngIf="isAuth"
               style="cursor:pointer;">Déconnection</a>
            <a id="current-user-name" class="nav-link text-light ps-2"
               (click)="onRedirect('myAccount')"
               *ngIf="isAuth"
               style="cursor:pointer;">
              Mon compte</a>
            <div class="rounded-circle shadow-1-strong"
                 style="width:1.5rem;height:1.5rem;overflow:hidden;"
                 *ngIf="isAuth">
              <img src="https://mdbcdn.b-cdn.net/img/new/standard/city/062.webp" alt="" class="image-fluid rounded">
            </div>
          </div>
          <!-- Right links -->

      </div>
    </div>
  </div>
</div>
